Bug 651829 - httpd: snmp exception on rhq build
httpd: snmp exception on rhq build
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
Reported: 2010-11-10 07:00 EST by Sudhir D
Modified: 2011-05-23 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-23 21:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-11-10 07:00:29 EST
Description of problem:
While httpd is discovered for httpd, it throws, snmp exception in the log file.

Version-Release number of selected component (if applicable):
rhq-server-3.0.1-SNAPSHOT build# 8469bdd

How reproducible:

Steps to Reproduce:
1. Install rhq-server and rhq-agent where httpd is started
2. Monitor the agent logs
Actual results:
2010-11-10 17:20:52,515 WARN  [ResourceDiscoveryComponent.invoker.daemon-5] (org.rhq.plugins.apache.ApacheVirtualHostServiceDiscoveryComponent)- Error while trying to contact SNMP of the apache server /etc/httpd
java.lang.Exception: Error getting SNMP column: wwwServiceName: Error occurred while retrieving column wwwServiceName( Request timed out.
	at org.rhq.plugins.apache.ApacheVirtualHostServiceDiscoveryComponent.getSnmpDiscoveries(ApacheVirtualHostServiceDiscoveryComponent.java:297)
	at org.rhq.plugins.apache.ApacheVirtualHostServiceDiscoveryComponent.discoverResources(ApacheVirtualHostServiceDiscoveryComponent.java:74)
	at sun.reflect.GeneratedMethodAccessor48.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryComponentProxyFactory.java:279)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
Caused by: org.rhq.plugins.www.snmp.SNMPException: Error occurred while retrieving column wwwServiceName( Request timed out.
	at org.rhq.plugins.www.snmp.SNMPSession_v1.getColumn(SNMPSession_v1.java:136)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.rhq.plugins.www.snmp.SNMPSessionCache.invoke(SNMPSessionCache.java:145)
	at $Proxy56.getColumn(Unknown Source)
	at org.rhq.plugins.apache.ApacheVirtualHostServiceDiscoveryComponent.getSnmpDiscoveries(ApacheVirtualHostServiceDiscoveryComponent.java:295)
	... 10 more

Expected results:
I don't think we should be looking for snmp in rhq build.

Additional info:
Comment 1 Lukas Krejci 2010-12-01 15:31:01 EST
The Apache SNMP module is a third-party software that we bundle only with JON. That doesn't mean though that the user can't obtain it separately from the JON subscription so imho we shouldn't just switch this off altogether in RHQ.

That said, the commit ae99b5bc0bf42909308a9d1efc09cee77d06ffc1 lowered the logging level of this error message to DEBUG so it shouldn't appear in the logs unless the logging configuration is altered.
Comment 2 Sunil Kondkar 2010-12-03 05:39:44 EST
Tested on jon241 build#34.
The agent log did not show the exception. This will be verified again on latest rhq build.
Comment 3 Sunil Kondkar 2010-12-07 05:41:18 EST
Verified on rhq-server-3.0.1-SNAPSHOT build# 450

Installed rhq-server and rhq-agent. Started and discovered httpd.
The agent log did not show the exception. Marking this as verified.
Comment 4 Corey Welton 2011-05-23 21:10:14 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.